using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.FaPiaoGuanLi
{
    public partial class W_WeiKaiPiaoDanTongJi
    {
        public W_WeiKaiPiaoDanTongJi()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            dw_1.DataStore.DataWindowObject = "da_fp_wkpdtj_list";
            dw_1.SetTransaction(this.AdoTransaction);

            A8ERP.Common.DWServiceHelp.AddReportService(dw_1);

            string yhbh = A8ERP.AppService.GetUserID();
            this.SetParm("curYhbh", yhbh);

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_WeiKaiPiaoDanTongJi", "/CaiWu/FaPiaoGuanLi/W_WeiKaiPiaoDanTongJi.win.js?JSV=" + AppService.GetJSVesion());
            }

            this.IsRegisterScriptFile = false;
        }
    }
}
